import { Colors } from './enum';

export enum BountyCheckStatusEnum {
  /**
   * 未提交
   */
  NotSubmit = -10,
  /**
   * 待审核
   */
  WaitCheck = 10,
  /**
   * 审核通过
   */
  CheckPassed = 20,
  /**
   * 审核不通过
   */
  CheckReject = 30,
}

export const BountyCheckStatusEnumText = {
  [BountyCheckStatusEnum.WaitCheck]: '待审核',
  [BountyCheckStatusEnum.CheckPassed]: '审核通过',
  [BountyCheckStatusEnum.CheckReject]: '审核未通过',
};
export const BountyCheckStatusEnumTextForAudit = {
  [BountyCheckStatusEnum.CheckPassed]: '审核通过',
  [BountyCheckStatusEnum.CheckReject]: '驳回',
};

export const BountyCheckStatusEnumColor = {
  [BountyCheckStatusEnum.NotSubmit]: '',
  [BountyCheckStatusEnum.WaitCheck]: Colors.Warning,
  [BountyCheckStatusEnum.CheckPassed]: Colors.Success,
  [BountyCheckStatusEnum.CheckReject]: Colors.Danger,
};

export enum SettleStatusEnum {
  /**
   * 待充值
   */
  WaitForSettle = 1,
  /**
   * 已充值
   */
  HasSettle = 2,
  /**
   * 无需充值
   */
  NotSettle = 3,
}

export const SettleStatusEnumText = {
  [SettleStatusEnum.WaitForSettle]: '待充值',
  [SettleStatusEnum.HasSettle]: '已充值',
  [SettleStatusEnum.NotSettle]: '无需充值',
};

export enum FinanceStatusEnum {
  /**
   * 待拨付
   */
  WaitForIncome = 1,
  /**
   * 已拨付
   */
  HasIncome = 2,
}

export const FinanceStatusEnumText = {
  [FinanceStatusEnum.WaitForIncome]: '待拨付',
  [FinanceStatusEnum.HasIncome]: '已拨付',
};

export enum IncomeStatusEnum {
  /**
   * 待入账
   */
  WaitForIncome = 1,
  /**
   * 已入账
   */
  HasIncome = 2,
}

export const IncomeStatusEnumText = {
  [IncomeStatusEnum.WaitForIncome]: '待入账',
  [IncomeStatusEnum.HasIncome]: '已入账',
};

export enum EnterpriseBountyPayTypeEnum {
  /**出金 */
  PayOut = 10,
  /**入金 */
  PayIn = 20,
}

export const EnterpriseBountyPayTypeEnumText = {
  [EnterpriseBountyPayTypeEnum.PayOut]: '出金',
  [EnterpriseBountyPayTypeEnum.PayIn]: '入金',
};
